Get compared snippet paths between two revisions
https://app.fossa.com/api/revisions/{locator}/snippets/compare/{olderRevisionLocator}/{status}/pathsRetrieve file and directory paths for the comparison of snippets between two revisions.
Path parameters
locatorstringrequiredThe base revision locator
olderRevisionLocatorstringrequiredAn older revision locator from the same project
statusenumrequiredThe status of snippets to retrieve
newremovedunchangedQuery parameters
pathstringThe path to filter snippets by. When omitted, paths are aggregated from the root.
idsstring[]Filter by specific snippet IDs
packageIdsstring[]Filter by specific snippet package IDs
searchstringSearch term for filtering snippets by package name
rejectionStatusenum[]Filter by rejection status
packageLabelsstring[]Filter by package labels
vendoredMatchenum[]Filter snippets by vendored/converted match status. Accepts one or more of: | Value | Description | |-------|-------------| | `vendored` | Include snippets that exist as a vendored dependency | | `exVendored` | Exclude snippets that exist as a vendored dependency | | `converted` | Include snippets that have been converted to vendored dependencies | | `exConverted` | Exclude snippets that have been converted to vendored dependencies |
Responses
200Successfully retrieved snippet pathspathsobject[]requiredArray of file and directory paths where snippets were detected
typeenumrequiredType of path entry
directoryfilenamestringrequiredName of the file or directory
pathstringrequiredFull path to the file or directory
countintegerrequiredNumber of snippets found at this path
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/revisions/%7Blocator%7D/snippets/compare/%7BolderRevisionLocator%7D/new/pathscurl --request GET \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/snippets/compare/%7BolderRevisionLocator%7D/new/paths' \ --header 'accept: application/json'Real request. Mutating methods can change data.
Path params
locatorstringrequiredThe base revision locator
olderRevisionLocatorstringrequiredAn older revision locator from the same project
statusenumrequiredThe status of snippets to retrieve
Query params
pathstringThe path to filter snippets by. When omitted, paths are aggregated from the root.
idsarrayFilter by specific snippet IDs
packageIdsarrayFilter by specific snippet package IDs
searchstringSearch term for filtering snippets by package name
rejectionStatusarrayFilter by rejection status
packageLabelsarrayFilter by package labels
vendoredMatcharrayFilter snippets by vendored/converted match status. Accepts one or more of: | Value | Description | |-------|-------------| | `vendored` | Include snippets that exist as a vendored dependency | | `exVendored` | Exclude snippets that exist as a vendored dependency | | `converted` | Include snippets that have been converted to vendored dependencies | | `exConverted` | Exclude snippets that have been converted to vendored dependencies |